import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/technicianInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/technicianInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/technicianInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/technicianInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/technicianInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/technicianInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/technicianInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function checkedRealName(id) {
  return request.post(constant.serverUrl + "/base/technicianInfo/checkedRealName/" + id);
}

function checkedSettleIn(id) {
  return request.post(constant.serverUrl + "/base/technicianInfo/checkedSettleIn/" + id);
}

function checkedQualification(id) {
  return request.post(constant.serverUrl + "/base/technicianInfo/checkedQualification/" + id);
}

function detail(id) {
  return request.get(constant.serverUrl + "/base/technicianInfo/detail/" + id);
}

export default {
  pageList, create, edit, add, update, remove, batchRemove, checkedRealName, detail, checkedSettleIn, checkedQualification
}